net.sf.jasperreports.types.date

## Class AbstractDateRange

- java.lang.Object
- - net.sf.jasperreports.types.date.AbstractDateRange

- All Implemented Interfaces:
    java.io.Serializable, DateRange
  Direct Known Subclasses:
    FixedDate, RelativeDateRange

      public abstract class AbstractDateRange
      extends java.lang.Object
      implements DateRange, java.io.Serializable

  Basic implementation of `DateRange`. Provides generic methods for all implementation

  Version:
    $Id: AbstractDateRange.java 5880 2013-01-07 20:40:06Z teodord $
  Author:
    Sergey Prilukin
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.String` | `expression`
    `protected java.util.TimeZone` | `timeZone`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `AbstractDateRange()`
    `protected` | `AbstractDateRange(java.lang.String expression, java.util.TimeZone timeZone)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `validateExpression(java.lang.String expression)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface net.sf.jasperreports.types.date.DateRange

      `getEnd, getStart`

- - ### Field Detail

    - #### expression

          protected java.lang.String expression

    - #### timeZone

          protected java.util.TimeZone timeZone

  - ### Constructor Detail

    - #### AbstractDateRange

          protected AbstractDateRange()

    - #### AbstractDateRange

          protected AbstractDateRange(java.lang.String expression,
                           java.util.TimeZone timeZone)

  - ### Method Detail

    - #### validateExpression

          protected void validateExpression(java.lang.String expression)
                                     throws InvalidDateRangeExpressionException

      Throws:
        `InvalidDateRangeExpressionException`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com